Hud = {}
function Hud.prerequisitesPresent(specializations)
  return true
end

function Hud:load(xmlFile)
	self.hud = {0.76,0.2,0.22,0.7};
	self.hud.On = false;
	self.hud.allowed = false;
	self.hud.size = 1;
	self.hud.Text = {};
	self.hud.Text.PosX = self.hud[1] + 0.02;
	self.hud.Text.PosY1 = self.hud[2]+0.02;
	self.hud.Text.size1 = 0.02;
	self.hud.Text.PosY2 = self.hud.Text.PosY1-self.hud.size;
	self.hud.Text.PosY3 = self.hud.Text.PosY2-self.hud.size;
	self.hud.Text.PosY4 = self.hud.Text.PosY3-self.hud.size;
	self.hud.Text.size4 = 0.02;
	self.hud.Text.PosY5 = self.hud.Text.PosY4-self.hud.size;
	self.hud.Text.size5 = 0.02;
	self.HudOverlay = Overlay:new("HudOverlay", Utils.getFilename("schemas/Hud.dds", self.baseDirectory), self.hud[1], self.hud[2], self.hud[3], self.hud[4]);
end;

function Hud:readStream(streamId, connection)
end;

function Hud:writeStream(streamId, connection)	
end;

function Hud:delete()
end;

function Hud:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Hud:keyEvent(unicode, sym, modifier, isDown)
end;

function Hud:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.HUD) then
			self.hud.On = not self.hud.On;
		end;
	end;
end;

function Hud:updateTick(dt)
end;

function Hud:draw()
	if self:getIsActive() then
		if self.hud.On then
			g_currentMission:addHelpButtonText(g_i18n:getText("HUD_OFF"), InputBinding.HUD);
			self.HudOverlay:render();
			setTextBold(false);
			setTextColor(1,1,0,1);
			renderText(0.78, 0.32, 0.02,      "Fahrer tauschen = Num 9");
			renderText(0.78, 0.34, 0.02, "Frontheber auf/ab = Lshift V");
			renderText(0.78, 0.36, 0.02,         "Zugmaul auf/ab = H/B");
			renderText(0.78, 0.38, 0.02,            "Allrad = Lshift B");
			renderText(0.78, 0.40, 0.02,    "Reifengewichte = Lshift L");
			renderText(0.78, 0.42, 0.02,         "Ballonreifen = Num 7");
			renderText(0.78, 0.44, 0.02,  "Zwillinge hinten = Lshift Y");
			renderText(0.78, 0.46, 0.02,   "Zwillinge vorne = Lshift X");
			renderText(0.78, 0.48, 0.02,           "RearCam = Lshift M");
			renderText(0.78, 0.50, 0.02,          "U/min - = Num Minus");
			renderText(0.78, 0.52, 0.02,           "U/min + = Num Plus");
			renderText(0.78, 0.54, 0.02,                  "RUL = Pos 1");
			renderText(0.78, 0.56, 0.02,     "Arbeitslicht hi. = Num 6");
			renderText(0.78, 0.58, 0.02,     "Arbeitslicht vo. = Num 5");
			renderText(0.78, 0.60, 0.02,          "Blinker Re. = Num 3");
			renderText(0.78, 0.62, 0.02,          "Warnblinker = Num 2");
			renderText(0.78, 0.64, 0.02,           "Blinker Li.= Num 1");
			setTextBold(true);
			setTextColor(1,0,0,1);
			renderText(0.78, 0.66, 0.02,      "Info ausblenden = Num 0");
		else
			g_currentMission:addHelpButtonText(g_i18n:getText("HUD_ON"), InputBinding.HUD);
		end;
	end;
end;
function Hud:onLeave()
	self.hud.On = false;
end;
